// Listing 2.6. użycie funkcji cv::pyrDown() do utworzenia obrazu, który ma szerokość
// i wysokość o połowę mniejsze od oryginału
#include <opencv2/opencv.hpp>

void help(char** argv ) {
	std::cout << "\n"
	<< "2.6: Użycie funkcji cv::pyrDown() do utworzenia obrazu, który ma szerokość"
    << "      i wysokość o połowę mniejsze od oryginału.\n"
	<< argv[0] <<" <path/image>\n"
	<< "Na przykład:\n"
	<< argv[0] << " ../faces.png\n"
	<< std::endl;
}
	

int main( int argc, char** argv ) {
	
	if (argc != 2) {
		help(argv);
		return 0;
	}

  cv::Mat img1,img2;

  cv::namedWindow( "Listing 2.6-wejście", cv::WINDOW_AUTOSIZE );
  cv::namedWindow( "Listing 2.6-wyjście", cv::WINDOW_AUTOSIZE );

  img1 = cv::imread( argv[1] );

  cv::imshow( "Listing 2.6-wejście", img1 );
  cv::pyrDown( img1, img2);

  cv::imshow( "Listing 2.6-wyjście", img2 );
  cv::waitKey(0);

  return 0;

};
